curl --request GET \
--url https://apigcp.trynia.ai/v2/sandbox/jobs/{jobId} \
--header 'Authorization: Bearer <token>'{
"workspaceKind": "<string>",
"job": {
"id": "<string>",
"status": "<string>",
"query": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
},
"sandbox": {
"daytonaSandboxId": "<string>",
"sandboxName": "<string>",
"status": "<string>",
"workspacePath": "<string>",
"preparedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
},
"repository": {
"provider": "<string>",
"canonicalUrl": "<string>",
"ref": "<string>",
"commitSha": "<string>",
"defaultBranch": "<string>",
"deduplicateKey": "<string>",
"daytonaVolumeId": "<string>",
"volumeName": "<string>",
"cacheSubpath": "<string>",
"cacheLastRefreshedAt": "2023-11-07T05:31:56Z"
},
"result": {
"answer": "<string>",
"rawOutput": "<string>",
"command": "<string>",
"exitCode": 123,
"workspacePath": "<string>",
"volumeName": "<string>",
"cacheSubpath": "<string>"
},
"error": {
"message": "<string>",
"name": "<string>",
"code": "<string>",
"stack": "<string>",
"causeMessage": "<string>",
"details": "<unknown>"
}
}Returns the serialized sandbox query job (status, sandbox lifecycle, repository cache metadata, result or error). Only the user who created the job can read it.
curl --request GET \
--url https://apigcp.trynia.ai/v2/sandbox/jobs/{jobId} \
--header 'Authorization: Bearer <token>'{
"workspaceKind": "<string>",
"job": {
"id": "<string>",
"status": "<string>",
"query": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
},
"sandbox": {
"daytonaSandboxId": "<string>",
"sandboxName": "<string>",
"status": "<string>",
"workspacePath": "<string>",
"preparedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
},
"repository": {
"provider": "<string>",
"canonicalUrl": "<string>",
"ref": "<string>",
"commitSha": "<string>",
"defaultBranch": "<string>",
"deduplicateKey": "<string>",
"daytonaVolumeId": "<string>",
"volumeName": "<string>",
"cacheSubpath": "<string>",
"cacheLastRefreshedAt": "2023-11-07T05:31:56Z"
},
"result": {
"answer": "<string>",
"rawOutput": "<string>",
"command": "<string>",
"exitCode": 123,
"workspacePath": "<string>",
"volumeName": "<string>",
"cacheSubpath": "<string>"
},
"error": {
"message": "<string>",
"name": "<string>",
"code": "<string>",
"stack": "<string>",
"causeMessage": "<string>",
"details": "<unknown>"
}
}API key must be provided in the Authorization header
1Successful Response
Serialized sandbox query job. Optional fields depend on workspace kind and job status.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?